

     <?php
                        
require_once ('../inventario/conexion.php');

$objconexion = new conexion();

 $sentenciaselect = "SELECT 
    asignacioimpresora.serial_impresora,
    registro_persona.cedula,
    registro_persona.nombre,
    registro_persona.apellido,
    sedes.nombre_sede,
    areas.nombre_areas,
    estado_equipo.nombre_estadoequipo
   
    from asignacioimpresora,registro_persona,sedes,areas,estado_equipo,impresoras where registro_persona.sede=sedes.id_sede AND registro_persona.area=areas.id_area AND impresoras.estado_impresora=estado_equipo.id_estadoequipo  AND  registro_persona.cedula = registro_persona.cedula

  and asignacioimpresora.serial_impresora= (case when NOT EXISTS(select asignacioimpresora.serial_impresora from asignacioimpresora where asignacioimpresora.serial_impresora ='". $_GET['var1']."') then asignacioimpresora.serial_impresora 
else '". $_GET['var1']."' end)
AND asignacioimpresora.cedula =(case when NOT EXISTS(select asignacioimpresora.cedula from asignacioimpresora where asignacioimpresora.cedula = '". $_GET['var1']."') then asignacioimpresora.cedula else '". $_GET['var1']."' end) group by asignacioimpresora.fecha_ingreso ";
 $arreglo = $objconexion->consultararraynum($sentenciaselect);
mostrar($arreglo);

function mostrar($inarreglo)
{
    $numfilas=count($inarreglo);                           

    for ($i=0; $i<$numfilas; $i++){
         echo "<tr>";
         $numcolumnas = count ($inarreglo[$i]);


    for ($j=0; $j<$numcolumnas; $j++){

        echo "<td>";
        echo $inarreglo[$i][$j];
        echo "</td>";


    }
    echo "</tr>";
}
}


?>